CKEDITOR.plugins.add( 'web',
{
	init: function( editor )
	{
		editor.addCommand( 'webCommand', new CKEDITOR.dialogCommand( 'webDialog' ) );
		editor.ui.addButton( 'web',
			{
				label: 'إدراج صفحة انترنت داخل الموضوع',
				command: 'webCommand',
				icon: this.path + 'web.gif'
			}
		);
		CKEDITOR.dialog.add( 'webDialog', function( editor )
		{
			return {
				title : 'إدراج صفحة انترنت داخل الموضوع',
				width : 400,
				height : 'auto',
				contents :
				[
					{
						id : 'web',
						label : 'web',
						elements :
						[
							{
								type : 'html',
								html : '<center>من فضلك أدخل رابط الصفحة كاملا</center>'
							},
							{
								type : 'text',
								id : 'url',
								label : 'الرابط',
				     				validate: CKEDITOR.dialog.validate.regex(/(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/, 'برجاء ادخال رابط صحيح'),
								required : true,
								commit : function( me )
								{
									me.url = this.getValue();
								}
							}
						]
					}
				],
				onOk : function()
				{
					me = {},
					this.commitContent( me );
					editor.insertHtml('[web]' + me.url + '[/web]');
				}
			};
		});
	}
});